xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Hooks.RestoreMinimized

Contents

- Usage

Description

Deprecated: Use XMonad.Hooks.Minimize instead, this module has no effect

(Deprecated: Use XMonad.Hooks.Minimize) Lets you restore minimized windows (see XMonad.Layout.Minimize) by selecting them on a taskbar (listens for _NET_ACTIVE_WINDOW and WM_CHANGE_STATE).

Synopsis

- data RestoreMinimized = RestoreMinimized
- restoreMinimizedEventHook :: Event -> X All

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.RestoreMinimized

    myHandleEventHook = restoreMinimizedEventHook

    main = xmonad def { handleEventHook = myHandleEventHook }

data RestoreMinimized #

Constructors

RestoreMinimized |

#### Instances

Instances details

Read RestoreMinimized # |
Instance details Defined in XMonad.Hooks.RestoreMinimized Methods readsPrec :: Int -> ReadS RestoreMinimized # readList :: ReadS [RestoreMinimized] # readPrec :: ReadPrec RestoreMinimized readListPrec :: ReadPrec [RestoreMinimized]
Show RestoreMinimized # |
Instance details Defined in XMonad.Hooks.RestoreMinimized Methods showsPrec :: Int -> RestoreMinimized -> ShowS # show :: RestoreMinimized -> String # showList :: [RestoreMinimized] -> ShowS #

restoreMinimizedEventHook :: Event -> X All #